import { newSpecPage } from "@stencil/core/testing";
import { BpSdkDeleteQuestionPoolItem } from "./bp-sdk-delete-question-pool-item";
const setupPage = async () => {
    return await newSpecPage({
        html: '<bp-sdk-delete-question-pool-item></bp-sdk-delete-question-pool-item>',
        components: [BpSdkDeleteQuestionPoolItem],
    });
};
const setupInstance = (page) => {
    return page.rootInstance;
};
describe('bp-sdk-delete-question-pool-item', () => {
    it('renders', async () => {
        const page = await setupPage();
        await page.waitForChanges();
        const element = page.root.querySelector('div');
        expect(element).toBeTruthy();
        expect(page.root.querySelector('bp-sdk-external-delete-question-pool-item')).toBeFalsy();
    });
    it('renders external component if defined', async () => {
        const whenDefinedMock = jest.spyOn(customElements, 'whenDefined').mockResolvedValueOnce({});
        const page = await setupPage();
        await page.waitForChanges();
        expect(page.root.querySelector('bp-sdk-external-delete-question-pool-item')).toBeTruthy();
        whenDefinedMock.mockRestore();
    });
});
